## org.hibernate.event.internal
Class AbstractVisitor

    java.lang.Object
      org.hibernate.event.internal.AbstractVisitor

Direct Known Subclasses:
  DirtyCollectionSearchVisitor, EvictVisitor, FlushVisitor, ProxyVisitor

    public abstract class AbstractVisitor

extends Object

Abstract superclass of algorithms that walk a tree of property values of an entity, and perform specific functionality for collections, components and associated entities.

Method Summary
`void` `processEntityPropertyValues(Object[] values, Type[] types)` Dispatch each property value to processValue().

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### processEntityPropertyValues

    public void processEntityPropertyValues(Object[] values,
                                            Type[] types)
                                     throws HibernateException

  Dispatch each property value to processValue().

  Parameters:
    `values` -
    `types` -
  Throws:
    `HibernateException`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.